Bug 235823 - segfault when switching to "available"
segfault when switching to "available"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 08:06 EDT by Tom Georgoulias
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.0.2-3.fc6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 11:19:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
status.xml file that causes segfault (2.33 KB, text/xml)
2007-04-10 11:23 EDT, Tom Georgoulias
no flags Details

  None (edit)
Description Tom Georgoulias 2007-04-10 08:06:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
gaim-2.0.0-0.31.beta6.fc6

How reproducible:
every time

Steps to Reproduce:
1. start gaim
2. change status from "offline" to "available"

Actual results:

[tomg@eichler tomg]$ gaim
Gaim has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

If you can reproduce the crash, please notify the gaim
developers by reporting a bug at
http://gaim.sourceforge.net/bug.php

Please make sure to specify what you were doing at the time
and post the backtrace from the core file.  If you do not know
how to get the backtrace, please read the instructions at
http://gaim.sourceforge.net/gdb.php

If you need further assistance, please IM either SeanEgn or 
LSchiere (via AIM).  Contact information for Sean and Luke 
on other protocols is at
http://gaim.sourceforge.net/contactinfo.php
Aborted


Expected results:

Program to connect to servers and run properly

Additional info:

Backtrace per Gaim project page instructions:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208133936 (LWP 3818)]
0x41739ee8 in strcmp () from /lib/libc.so.6
(gdb) bt full
#0  0x41739ee8 in strcmp () from /lib/libc.so.6
No symbol table info available.
#1  0x080d9024 in gtk_gaim_status_box_new ()
No symbol table info available.
#2  0x080d9770 in gtk_gaim_status_box_new ()
No symbol table info available.
#3  0x4b510a16 in g_source_get_current_time () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x4b510442 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x4b51341f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x4b5137c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#7  0x494b24b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x080b300b in main ()
No symbol table info available.
(gdb) quit
Comment 1 Tom Georgoulias 2007-04-10 09:22:12 EDT
If I move the ~/.gaim/status.xml file to the side and let gaim recreate one from
scratch, gaim works.
Comment 2 Luke Schierer 2007-04-10 11:17:37 EDT
can you attach the bad status.xml file please? 
Comment 3 Tom Georgoulias 2007-04-10 11:23:07 EDT
Created attachment 152141 [details]
status.xml file that causes segfault

status.xml file that causes segfaults attached.
Comment 4 Tom Georgoulias 2007-04-10 11:27:51 EDT
If we could delete my user account name after you get the info you need from the
file, I'd greatly appreciate it.
Comment 5 Stu Tomlinson 2007-06-26 11:19:57 EDT
This is fixed in Pidgin.

Note You need to log in before you can comment on or make changes to this bug.